public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: games-board/sjeng/
@ 2020-09-10 22:06 James Le Cuirot
  0 siblings, 0 replies; 6+ messages in thread
From: James Le Cuirot @ 2020-09-10 22:06 UTC (permalink / raw
  To: gentoo-commits

commit:     81617850a515b5eaa3802383c2303c276aea90ce
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 10 22:05:32 2020 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Thu Sep 10 22:06:33 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=81617850

games-board/sjeng: Respect CC by running eautoreconf

Package-Manager: Portage-3.0.6, Repoman-3.0.1
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 games-board/sjeng/sjeng-11.2_p8_p1.ebuild | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/games-board/sjeng/sjeng-11.2_p8_p1.ebuild b/games-board/sjeng/sjeng-11.2_p8_p1.ebuild
index 19dd3691097..dc0f65449a0 100644
--- a/games-board/sjeng/sjeng-11.2_p8_p1.ebuild
+++ b/games-board/sjeng/sjeng-11.2_p8_p1.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-inherit prefix
+inherit autotools prefix
 
 MY_PV=$(ver_cut 1-2)
 # 11.2_p8_p1 -> 11.2-8.1
@@ -33,6 +33,10 @@ src_prepare() {
 	eapply "${WORKDIR}/sjeng_${MY_DEB_PV}.diff"
 	QUILT_PATCHES="debian/patches" QUILT_SERIES="debian/patches/series" quilt push -a || die
 	hprefixify book.c rcfile.c
+
+	# Files generated with ancient autotools, regenerate to respect CC.
+	mv configure.{in,ac} || die
+	eautoreconf
 }
 
 src_install() {


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-board/sjeng/
@ 2020-09-10 22:06 James Le Cuirot
  0 siblings, 0 replies; 6+ messages in thread
From: James Le Cuirot @ 2020-09-10 22:06 UTC (permalink / raw
  To: gentoo-commits

commit:     f8b267e11eb17e00f6c9ac273a4ad3efd702b724
Author:     Alexey Sokolov <sokolov <AT> google <DOT> com>
AuthorDate: Thu Sep  3 21:17:18 2020 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Thu Sep 10 22:06:30 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f8b267e1

games-board/sjeng: apply debian patches

Install missing files

Closes: https://bugs.gentoo.org/707270
Package-Manager: Portage-3.0.4, Repoman-2.3.23
Signed-off-by: Alexey Sokolov <alexey+gentoo <AT> asokolov.org>
Closes: https://github.com/gentoo/gentoo/pull/17407
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 games-board/sjeng/Manifest                |  1 +
 games-board/sjeng/sjeng-11.2-r2.ebuild    | 18 -------------
 games-board/sjeng/sjeng-11.2_p8_p1.ebuild | 45 +++++++++++++++++++++++++++++++
 3 files changed, 46 insertions(+), 18 deletions(-)

diff --git a/games-board/sjeng/Manifest b/games-board/sjeng/Manifest
index 58e4f3114c5..a2b9a964747 100644
--- a/games-board/sjeng/Manifest
+++ b/games-board/sjeng/Manifest
@@ -1 +1,2 @@
 DIST Sjeng-Free-11.2.tar.gz 174019 BLAKE2B c50f312ce4f569b17cf7f240fe27e9d6d27e83e260c7549ba13ee612a357700b1642c2b274637af3e0e0f45c35e46f088cdcd5dce6bb62591ef600b97d8c6d6b SHA512 cda3409d732ac1b07e83ccc0d3063d24497651097c633500dfca66fbb3021532053082ac57a5e23909dd1016a2bae07f166e56b82c4ce834749a101c9ee444b8
+DIST sjeng_11.2-8.1.diff.gz 13341 BLAKE2B 187cb85e504511504ee9ed8bc2c6d6c19815e3e267099f1e98ea8964145e81074e2dd6b298dba76e91e2824dec1b4c6ac3d43b24f1ab970362c3bf07da87541d SHA512 2d470e0bee12a5f06808653ab3607301622d8e4f802295c04853b973c553074850c1fed278fe4696a652773af71dcac461d428d7f776d5a967256c4f39c627c9

diff --git a/games-board/sjeng/sjeng-11.2-r2.ebuild b/games-board/sjeng/sjeng-11.2-r2.ebuild
deleted file mode 100644
index 9cf968e7d40..00000000000
--- a/games-board/sjeng/sjeng-11.2-r2.ebuild
+++ /dev/null
@@ -1,18 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-DESCRIPTION="Console based chess interface"
-HOMEPAGE="http://sjeng.sourceforge.net/"
-SRC_URI="mirror://sourceforge/sjeng/Sjeng-Free-${PV}.tar.gz"
-
-LICENSE="GPL-2"
-KEYWORDS="~amd64 ~x86"
-SLOT="0"
-IUSE=""
-
-RDEPEND="sys-libs/gdbm:0="
-DEPEND=${RDEPEND}
-
-S="${WORKDIR}/Sjeng-Free-${PV}"

diff --git a/games-board/sjeng/sjeng-11.2_p8_p1.ebuild b/games-board/sjeng/sjeng-11.2_p8_p1.ebuild
new file mode 100644
index 00000000000..19dd3691097
--- /dev/null
+++ b/games-board/sjeng/sjeng-11.2_p8_p1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit prefix
+
+MY_PV=$(ver_cut 1-2)
+# 11.2_p8_p1 -> 11.2-8.1
+MY_DEB_PV="${MY_PV}-$(ver_cut 4).$(ver_cut 6)"
+
+DESCRIPTION="Console based chess interface"
+HOMEPAGE="http://sjeng.sourceforge.net/"
+SRC_URI="
+	mirror://sourceforge/sjeng/Sjeng-Free-${MY_PV}.tar.gz
+	http://deb.debian.org/debian/pool/main/s/sjeng/sjeng_${MY_DEB_PV}.diff.gz
+"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE=""
+
+RDEPEND="sys-libs/gdbm:0="
+DEPEND="${RDEPEND}"
+BDEPEND="dev-util/quilt"
+
+S="${WORKDIR}/Sjeng-Free-${MY_PV}"
+
+src_prepare() {
+	default
+
+	eapply "${WORKDIR}/sjeng_${MY_DEB_PV}.diff"
+	QUILT_PATCHES="debian/patches" QUILT_SERIES="debian/patches/series" quilt push -a || die
+	hprefixify book.c rcfile.c
+}
+
+src_install() {
+	default
+
+	insinto /etc
+	doins sjeng.rc
+	insinto /usr/share/games/sjeng
+	doins books/*.opn || die
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-board/sjeng/
@ 2020-10-22 21:23 James Le Cuirot
  0 siblings, 0 replies; 6+ messages in thread
From: James Le Cuirot @ 2020-10-22 21:23 UTC (permalink / raw
  To: gentoo-commits

commit:     b3e8e48df5b67a51ac6132070ad76a463c3ddf5c
Author:     Alexey Sokolov <sokolov <AT> google <DOT> com>
AuthorDate: Mon Oct  5 18:31:34 2020 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Thu Oct 22 21:22:01 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b3e8e48d

games-board/sjeng: use mirror://debian

Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Alexey Sokolov <alexey+gentoo <AT> asokolov.org>
Closes: https://github.com/gentoo/gentoo/pull/17803
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 games-board/sjeng/sjeng-11.2_p8_p1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/games-board/sjeng/sjeng-11.2_p8_p1.ebuild b/games-board/sjeng/sjeng-11.2_p8_p1.ebuild
index dc0f65449a0..f23bf3d1d6b 100644
--- a/games-board/sjeng/sjeng-11.2_p8_p1.ebuild
+++ b/games-board/sjeng/sjeng-11.2_p8_p1.ebuild
@@ -13,7 +13,7 @@ DESCRIPTION="Console based chess interface"
 HOMEPAGE="http://sjeng.sourceforge.net/"
 SRC_URI="
 	mirror://sourceforge/sjeng/Sjeng-Free-${MY_PV}.tar.gz
-	http://deb.debian.org/debian/pool/main/s/sjeng/sjeng_${MY_DEB_PV}.diff.gz
+	mirror://debian/pool/main/s/sjeng/sjeng_${MY_DEB_PV}.diff.gz
 "
 
 LICENSE="GPL-2"


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-board/sjeng/
@ 2020-12-02 12:31 David Seifert
  0 siblings, 0 replies; 6+ messages in thread
From: David Seifert @ 2020-12-02 12:31 UTC (permalink / raw
  To: gentoo-commits

commit:     a5200a7b911ec1c6cfb9ae911ee71e2a4340293d
Author:     Alexey Sokolov <sokolov <AT> google <DOT> com>
AuthorDate: Wed Dec  2 12:31:24 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Wed Dec  2 12:31:24 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a5200a7b

games-board/sjeng: drop usage of quilt

Closes: https://github.com/gentoo/gentoo/pull/18273
Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Alexey Sokolov <alexey+gentoo <AT> asokolov.org>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 games-board/sjeng/sjeng-11.2_p8_p1.ebuild | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/games-board/sjeng/sjeng-11.2_p8_p1.ebuild b/games-board/sjeng/sjeng-11.2_p8_p1.ebuild
index f23bf3d1d6b..a34e7ba861c 100644
--- a/games-board/sjeng/sjeng-11.2_p8_p1.ebuild
+++ b/games-board/sjeng/sjeng-11.2_p8_p1.ebuild
@@ -23,15 +23,17 @@ IUSE=""
 
 RDEPEND="sys-libs/gdbm:0="
 DEPEND="${RDEPEND}"
-BDEPEND="dev-util/quilt"
 
 S="${WORKDIR}/Sjeng-Free-${MY_PV}"
 
+PATCHES=(
+	"${WORKDIR}/sjeng_${MY_DEB_PV}.diff"
+	"${S}/debian/patches"
+)
+
 src_prepare() {
 	default
 
-	eapply "${WORKDIR}/sjeng_${MY_DEB_PV}.diff"
-	QUILT_PATCHES="debian/patches" QUILT_SERIES="debian/patches/series" quilt push -a || die
 	hprefixify book.c rcfile.c
 
 	# Files generated with ancient autotools, regenerate to respect CC.


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-board/sjeng/
@ 2023-06-04 10:54 WANG Xuerui
  0 siblings, 0 replies; 6+ messages in thread
From: WANG Xuerui @ 2023-06-04 10:54 UTC (permalink / raw
  To: gentoo-commits

commit:     cae1fb7cbdaa4e6e2bf8e26990771f71b8a5048c
Author:     WANG Xuerui <xen0n <AT> gentoo <DOT> org>
AuthorDate: Sun Jun  4 10:52:35 2023 +0000
Commit:     WANG Xuerui <xen0n <AT> gentoo <DOT> org>
CommitDate: Sun Jun  4 10:52:35 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cae1fb7c

games-board/sjeng: keyword 11.2_p8_p1 for ~loong

Signed-off-by: WANG Xuerui <xen0n <AT> gentoo.org>

 games-board/sjeng/sjeng-11.2_p8_p1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/games-board/sjeng/sjeng-11.2_p8_p1.ebuild b/games-board/sjeng/sjeng-11.2_p8_p1.ebuild
index 20b62b6aa626..f20e1b74ff03 100644
--- a/games-board/sjeng/sjeng-11.2_p8_p1.ebuild
+++ b/games-board/sjeng/sjeng-11.2_p8_p1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -17,7 +17,7 @@ SRC_URI="
 "
 
 LICENSE="GPL-2"
-KEYWORDS="~amd64 ~riscv ~x86"
+KEYWORDS="~amd64 ~loong ~riscv ~x86"
 SLOT="0"
 
 RDEPEND="sys-libs/gdbm:0="


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-board/sjeng/
@ 2023-06-04 16:05 Arthur Zamarin
  0 siblings, 0 replies; 6+ messages in thread
From: Arthur Zamarin @ 2023-06-04 16:05 UTC (permalink / raw
  To: gentoo-commits

commit:     c4696ae758b7cdb637a2e2ecfea2ed8fc5bb4864
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sun Jun  4 16:04:32 2023 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sun Jun  4 16:04:32 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c4696ae7

games-board/sjeng: Keyword 11.2_p8_p1 arm64, #907772

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 games-board/sjeng/sjeng-11.2_p8_p1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/games-board/sjeng/sjeng-11.2_p8_p1.ebuild b/games-board/sjeng/sjeng-11.2_p8_p1.ebuild
index f20e1b74ff03..f3bbf9d0f61d 100644
--- a/games-board/sjeng/sjeng-11.2_p8_p1.ebuild
+++ b/games-board/sjeng/sjeng-11.2_p8_p1.ebuild
@@ -17,7 +17,7 @@ SRC_URI="
 "
 
 LICENSE="GPL-2"
-KEYWORDS="~amd64 ~loong ~riscv ~x86"
+KEYWORDS="~amd64 ~arm64 ~loong ~riscv ~x86"
 SLOT="0"
 
 RDEPEND="sys-libs/gdbm:0="


^ permalink raw reply related	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2023-06-04 16:05 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-09-10 22:06 [gentoo-commits] repo/gentoo:master commit in: games-board/sjeng/ James Le Cuirot
  -- strict thread matches above, loose matches on Subject: below --
2020-09-10 22:06 James Le Cuirot
2020-10-22 21:23 James Le Cuirot
2020-12-02 12:31 David Seifert
2023-06-04 10:54 WANG Xuerui
2023-06-04 16:05 Arthur Zamarin

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox